"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = configListPrompt;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _enquirer = require("enquirer");

var _ansiColors = _interopRequireDefault(require("ansi-colors"));

var _configurations = require("../configurations");

var _shared = require("./shared");

function configListPrompt() {
  return _configListPrompt.apply(this, arguments);
}

function _configListPrompt() {
  _configListPrompt = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
    var _yield$prompt, configs;

    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return (0, _enquirer.prompt)({
              name: 'configs',
              type: 'multiselect',
              message: (0, _shared.primaryColor)('Select linters you like to inegrate with!'),
              hint: '(Use <space> to select, <a> to toggle select/deselect all, <return> to submit)',
              choices: Object.keys(_configurations.availableConfigs),
              validate: function validate(value) {
                return value.length === 0 ? _ansiColors["default"].red('Choose at least one 🙄') : true;
              },
              // @ts-ignore
              prefix: _shared.prefix,
              symbols: {
                indicator: function indicator() {
                  return {
                    on: _ansiColors["default"].green('✔'),
                    off: _ansiColors["default"].gray('✔')
                  };
                }
              },
              styles: _shared.styles,
              onCancel: _shared.onCancel
            });

          case 2:
            _yield$prompt = _context.sent;
            configs = _yield$prompt.configs;
            return _context.abrupt("return", configs);

          case 5:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _configListPrompt.apply(this, arguments);
}